> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT /api/public/subscription-management/user-subscriptions

> Allows users to manage their subscriptions.



## OpenAPI

````yaml PUT /api/public/subscription-management/user-subscriptions
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/public/subscription-management/user-subscriptions:
    put:
      description: Allows users to manage their subscriptions.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              allOf:
                - type: object
                  properties:
                    workspaceId:
                      description: Workspace Id.
                      type: string
                    hash:
                      description: >-
                        Subscription change hash, used to authenticate
                        subscription changes.
                      type: string
                    identifier:
                      description: Identifier value for channel.
                      examples:
                        - user@email.com
                      type: string
                    identifierKey:
                      description: Identifier key for channel.
                      examples:
                        - email
                      type: string
                    messageId:
                      type: string
                    journeyId:
                      type: string
                    nodeId:
                      type: string
                    runId:
                      type: string
                    templateId:
                      type: string
                  required:
                    - workspaceId
                    - hash
                    - identifier
                    - identifierKey
                - type: object
                  properties:
                    changes:
                      description: Subscription changes.
                      type: object
                      additionalProperties:
                        type: boolean
                  required:
                    - changes
      responses:
        '204':
          description: An empty String
          content:
            application/json:
              schema:
                description: An empty String
                type: string
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message

````